package com.steerinfo.ems.tcm0325.service.impl;

import com.steerinfo.ems.tcm0325.mapper.TCm0325Mapper;
import com.steerinfo.ems.tcm0325.model.TCm0325;
import com.steerinfo.ems.tcm0325.service.ITCm0325Service;
import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.framework.service.impl.BaseServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Map;
import java.util.Set;


@Service(value = "tCm0325Service")
public class TCm0325ServiceImpl extends BaseServiceImpl<TCm0325, String> implements ITCm0325Service {

    @Autowired
    private TCm0325Mapper tCm0325Mapper;

    @Override
    protected IBaseMapper<TCm0325, String> getMapper() {
        return tCm0325Mapper;
    }

    public Set<TCm0325> getCodeAndName() {
        return tCm0325Mapper.getCodeAndName();
    }
    public TCm0325 getusestate(Map<String, Object> parameters){
        return tCm0325Mapper.getusestate(parameters);
    }
    synchronized  public Long getMaxSort(){return tCm0325Mapper.getMaxSort();}
}
